Data Structures

# countedptr.hpp File Reference

CCountedPtr - smart pointer implementation. More...

Go to the source code of this file.

## Data Structures
class | CCountedPtr< Tcls_ >
| CCountedPtr - simple reference counting smart pointer. More...
struct | AdaptT< T >
| Adapter wrapper for CCountedPtr like classes that can't be used directly by stl collections as item type. More...
struct | SimpleCountedObject
| Simple counted object. More...

## Detailed Description

CCountedPtr - smart pointer implementation.

Definition in file countedptr.hpp.